#ifndef U_VALUE_HPP
#define U_VALUE_HPP

/**
 * @file UValue.hpp
 * @author your name (you@domain.com)
 * @brief class to send out encoder values
 * @version 0.1
 * @date 2021-07-22
 * 
 * @copyright Copyright (c) 2021
 * 
 */

#include "constants.h"


class UValue {
private:
	/* functions */

public:
	/* variables */

	/* functions */

	/**
	 * @brief 			sends encoder value via uart
	 * 
	 * @param cp 		component to which the value refers to
	 * @param value 	encoder value
	 */
	static void sendEncoderValue (U_Component cp, float value);
	/**
	 * @brief 			send both encoder values via uart
	 * 
	 * @param value_left 	encoder value left
	 * @param value_right 	encoder value right
	 */
	static void sendBothEncoderValues(float value_left, float value_right);
};

#endif