from launch import LaunchDescription
from launch_ros.actions import Node


def generate_launch_description():
    return LaunchDescription(
        [
            Node(
                package="dcaitirobot",
                executable="joy",
                name="joystick",
            ),
            Node(
                package="dcaitirobot",
                executable="twistcalc",
                name="twistcalc",
            ),
        ]
    )
